/* versione 10.03.12 ONLINE (vedere commenti //locale //rete) */
var urp=document.location.href;
urp = urp.substring(0,urp.lastIndexOf("/")+1);
urr="http://www.edurete.org/public/obj/";
var doma = new Array();
var esattat = new Array();
var rispt = new Array();
var esatta = new Array();
var risp = new Array();
var spieg = new Array();
var ripas = new Array();
var puntiesa = new Array();
var puntisba = new Array();

var bonus = 0;

var espr = new Array();
var vespr = new Array();

var puntifin=0;
var puntipre=0;
var puntitot=0;
var totdom=0;
var reso = "";
var corrVisibile="visible";
var aiutoVisibile=true;
var abilitaTopten=false;

var n,n0,n1,n2,n3,n4,n5,n6,n7,n8 = null;


function disableEnterKey(e)
 {
      var key = window.event.keyCode;
	  if (key==13) {
      var ele=document.getElementById("benvenuto");
	  ele.innerText="Benvenuto! Puoi iniziare a giocare...";
	  ele.style.display="block";
	  }
	  return (key != 13);
 }
 
function sostituisciNumeri(arg)
{
arg=arg.replace(/\bzero\b/gi," 0 ");
arg=arg.replace(/\bun\b/gi," 1 ");
arg=arg.replace(/\buno\b/gi," 1 ");
arg=arg.replace(/\bdue\b/gi," 2 ");
arg=arg.replace(/\btre\b/gi," 3 ");
arg=arg.replace(/\bquattro\b/gi," 4 ");
arg=arg.replace(/\bcinque\b/gi," 5 ");
arg=arg.replace(/\bsei\b/gi," 6 ");
arg=arg.replace(/\bsette\b/gi," 7 ");
arg=arg.replace(/\botto\b/gi," 8 ");
arg=arg.replace(/\bnove\b/gi," 9 ");
arg=arg.replace(/\bdieci\b/gi," 10 ");
arg=arg.replace(/\bundici\b/gi," 11 ");
arg=arg.replace(/\bdodici\b/gi," 12 ");
arg=arg.replace(/\btredici\b/gi," 13 ");
arg=arg.replace(/\bquattordici\b/gi," 14 ");
arg=arg.replace(/\bquindici\b/gi," 15 ");
arg=arg.replace(/\bsedici\b/gi," 16 ");
arg=arg.replace(/\bdiciassette\b/gi," 17 ");
arg=arg.replace(/\bdiciotto\b/gi," 18 ");
arg=arg.replace(/\bdiciannove\b/gi," 19 ");
arg=arg.replace(/\bventi\b/gi," 20 ");

return arg;
}


function linkaMail(arg)
{
var paro=arg.split(" ");
var arg1=arg;
if (arg.indexOf("@")>-1)
{
var paro1="";
var link1="";
for (var i=0;i<=paro.length-1;i++)
 if (paro[i].indexOf("@")>-1) link1=paro[i];
 else paro1+=paro[i]+" ";
 if (paro1=="") paro1=link1;
paro1=paro1.replace(/ *$/,"");  
arg1=paro1.link('mailto:'+link1);
}
return arg1;
}



function linkaUrl(arg)
{
if (arg.indexOf("http://")==0 || arg.indexOf("www")==0) arg=arg.link(arg);
return arg;
}


function riparti()
{
for (var i=1;i<=totdom;i++)
{
var ele=document.getElementById("contro" + i);
ele.style.visibility="hidden";
}
ele=document.getElementById("totale1");
ele.style.visibility="hidden";

document.princ.reset();
}

function livello(liv)
{
switch (liv){
case 0: 
var ele=document.getElementById("liv0");
ele.style.backgroundColor="yellow";

var ele=document.getElementById("liv1");
ele.style.visibility="hidden";
var ele=document.getElementById("liv1i");
ele.style.visibility="hidden";
var ele=document.getElementById("liv2");
ele.style.visibility="hidden";
var ele=document.getElementById("liv2i");
ele.style.visibility="hidden";

aiutoVisibile=true;

for (var i=1;i<=totdom;i++)
{
var ele=document.getElementById("cnt" + i);
ele.style.visibility="visible";
}

break;

case 1:
var ele=document.getElementById("liv1");
ele.style.backgroundColor="yellow";

var ele=document.getElementById("liv0");
ele.style.visibility="hidden";
var ele=document.getElementById("liv0i");
ele.style.visibility="hidden";
var ele=document.getElementById("liv2");
ele.style.visibility="hidden";
var ele=document.getElementById("liv2i");
ele.style.visibility="hidden";

aiutoVisibile=true;

for (var i=1;i<=totdom;i++)
{
var ele=document.getElementById("cnt" + i);
ele.style.visibility="hidden";
}

break;

case 2:
var ele=document.getElementById("liv2");
ele.style.backgroundColor="yellow";

var ele=document.getElementById("liv0");
ele.style.visibility="hidden";
var ele=document.getElementById("liv0i");
ele.style.visibility="hidden";
var ele=document.getElementById("liv1");
ele.style.visibility="hidden";
var ele=document.getElementById("liv1i");
ele.style.visibility="hidden";

aiutoVisibile=false;
ele=document.getElementById("spiega1");
ele.style.visibility="hidden";

for (var i=1;i<=totdom;i++)
{
var ele=document.getElementById("cnt" + i);
ele.style.visibility="hidden";
}

abilitaTopten=true;

break;
}

var ele=document.getElementById("diffn");
ele.style.display="none";
var ele=document.getElementById("nickn");
ele.style.display="block";
var ele=document.getElementById("maindom");
ele.style.display="block";
var ele=document.getElementById("maincorr");
ele.style.display="block";
riparti();
convertiOggDinamici();
}

function offriAiuto(aiuto)
{
if (aiutoVisibile)
{

for (var i=1;i<=totdom;i++)
{
var ele=document.getElementById("contro" + i);
ele.style.visibility="hidden";
}
ele=document.getElementById("totale1");
ele.style.visibility="hidden";


Xpos=window.event.x + document.body.scrollLeft;
Ypos=window.event.y + document.body.scrollTop;

var ele=document.getElementById("spiega");
ele.innerHTML=aiuto;
ele=document.getElementById("spiega1");
ele.style.left=750;
ele.style.top=Ypos-100;
ele.style.visibility="visible";
ele=document.getElementById("suono");
ele.src=urp+'pss.wav'; 

}
}


function controllo(ising)
{

var testo = new Array();
var risp = new Array();
var dato = "";
var rprova = "";
var puntican = new Array();
document.puntiaval = 0;

var ele=document.getElementById("benvenuto");
ele.style.display="none";

var ele=document.getElementById("spiega1");
ele.style.visibility="hidden";
rprova=document.princ.studente.value;
if (rprova=="") rprova="Anonimo";

if (ising)
{
var ele=document.getElementById("cnt" + ising);
ele.style.visibility="hidden";
}


for (var i=1;typeof(eval("document.princ.risp" + i)) != "undefined";i++)
{
if (!ising)
{
var ele=document.getElementById("cnt" + i);
ele.style.visibility="hidden";
}

if (typeof(eval("document.princ.risp" + i + ".value")) == "undefined") 
{

for (var j=0;typeof(eval("document.princ.risp" + i + "[" + j +"]")) != "undefined";j++)
{
if (eval("document.princ.risp" + i + "[" + j +"].checked")) 
{
risp[i]=j+1;
rispt[i]=eval("document.princ.risp" + i + "[" + j +"].value");
}

if (!ising) eval("document.princ.risp" + i + "[" + j +"].disabled=true");

}
esattat[i]=eval("document.princ.risp" + i + "[" + (esatta[i]-1) +"].value");

}
else
{
//risposta aperta

if (!ising) eval("document.princ.risp" + i + ".disabled=true");

puntican[i] = 0; 
rispt[i]=" "+eval("document.princ.risp" + i + ".value")+" ";
//non va bene perché non dà punti sui nomi dei numeri
//rispt[i]=sostituisciNumeri(rispt[i]);
testo[i]=ripas[i];

var	par_ok = new Array();
par_ok=ripas[i].match(/\$(\S+)/g);

if (par_ok) for (var l=0;l<par_ok.length;l++)
{

//calcola soluzioni da algoritmo
if (par_ok[l].indexOf("=")==1)
{
temp=par_ok[l];
par_ok[l]="$"+eval(par_ok[l]);
ripas[i]=ripas[i].replace(temp,par_ok[l]);
testo[i]=ripas[i];
}

par_ok[l]=par_ok[l].replace(/\$/gi,"");
var arg=par_ok[l];
arg=arg.replace(/  /gi," ");
arg=arg.replace(/\+/gi,"\\+");
arg=arg.replace(/\-/gi,"\\- ");
arg=arg.replace(/\*/gi,"\\*");
arg=arg.replace(/\:/gi,"\\:");
arg=arg.replace(/\=/gi,"\\=");
arg=arg.replace(/\_/gi,"\\_");
arg=arg.replace(/[^a-zA-Z0-9àèéìòù\+\-\*\:\=\_\|\\]/gi,".+"); 
//arg=arg.replace(/\_/gi,".+");
arg=arg.replace(/\\_/gi,".*");

sinon=par_ok[l].split("|");
ncas=Math.floor(Math.random()*sinon.length);
testo[i]=testo[i].replace(par_ok[l],sinon[ncas]);


arg_re = new RegExp(arg,"gi"); 
if (arg_re.test(rispt[i])) puntican[i]+=1;

}

testo[i]=testo[i].replace(/\$/gi,"");
esattat[i]="undefined";

}
}



puntifin=0;

for (var i=1;i<=totdom;i++)
{
var arg=ripas[i];
reso="";
puntipre=puntifin;

var ok=(risp[i]==esatta[i]);

non_risp=((esattat[i]!="undefined" && risp[i]==undefined) || (esattat[i]=="undefined" && rispt[i] && rispt[i].length<3));

if (non_risp) 
{
reso+='<img src="'+urp+'eddysl.gif" style="position: relative; left:-85; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; font-size: 18px; position: relative; top:-10px; width: 250px; z-index:1;" id="">ZZZZZZZ ... svegliami quando avrai risposto alla domanda ...</div>';
}
else
{

if (esattat[i]!="undefined")
{
if (ok) 
{
puntifin+=puntiesa[i]; 
reso+='<img src="'+urp+'eddyyes.gif" style="position: relative; left:-50; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; font-size: 18px; position: relative; top:-10px; width: 250px; z-index:1;" id=""><b>ESATTO!!! Punti: '+puntiesa[i]+'</b>. '+arg+'</div>';
}
else 
{
puntifin+=puntisba[i];
reso+='<img src="'+urp+'eddyno.gif" style="position: relative; left:-80; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; font-size: 18px; position: relative; top:-10px; width: 250px; z-index:1;" id=""><b>Punti: '+puntisba[i]+'</b>. '+arg+'.</div>';
}
}
else
{
arg=testo[i];
arg=arg.replace(/\_/g," "); 
arg=arg.replace(/\#/g,""); 

puntifin+=puntican[i];
if (puntican[i]==puntisba[i]) reso+='<img src="'+urp+'eddyno.gif" style="position: relative; left:-80; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; font-size: 18px; position: relative; top:-10px; width: 250px; z-index:1;" id=""><b>Punti: '+puntisba[i]+'</b>. '+arg+'.</div>';
if (puntican[i]==puntiesa[i]) reso+='<img src="'+urp+'eddyyes.gif" style="position: relative; left:-50; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; font-size: 18px; position: relative; top:-10px; width: 250px; z-index:1;" id=""><b>ESATTO!!! Punti: '+puntiesa[i]+'</b>. '+arg+'</div>';
if (puntican[i]>puntisba[i] && puntican[i]<puntiesa[i]) reso+='<img src="'+urp+'eddywe.gif" style="position: relative; left:-40; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; font-size: 18px; position: relative; top:-10px; width: 250px; z-index:1;" id=""><b>Punti: '+puntican[i]+'</b>. '+arg+'.</div>';
}
}

rprova+="\t"+(puntifin-puntipre);

if (isNaN(parseInt(ising)))
{
var ele=document.getElementById("contro" + i);
ele.style.visibility="visible";
ele.innerHTML=reso;
}
else
{

if (i==ising)
{
var ele=document.getElementById("contro" + i);
ele.style.visibility="visible";
ele.innerHTML=reso;
}
else
{
var ele=document.getElementById("contro" + i);
ele.style.visibility="hidden";
}

}

}

if (isNaN(parseInt(ising)))
{
var ele=document.getElementById("totale");
ele.innerHTML="Il tuo punteggio per le risposte è: <b>"+puntifin+" punti</b>.<br>Facendo i giochi hai ottenuto <b>"+bonus+" punti</b> di Bonus!<br><b>Il tuo punteggio totale è "+(puntifin+bonus)+"</b>";
ele=document.getElementById("totale1");
ele.style.visibility="visible";
rprova+="\t"+(puntifin+bonus);

if (abilitaTopten) document.princ.risultati.value=rprova;
//alert(rprova)

var ele=document.getElementById("classif1");
ele.style.display="none";
ele=document.getElementById("maincorr");
ele.style.display="block";
ele=document.getElementById("pulsanti");
ele.style.visibility="hidden";
ele=document.getElementById("totale1");
ele.style.visibility="visible";
ele=document.getElementById("liv0");
ele.style.backgroundColor="transparent";
ele=document.getElementById("liv0i");
ele.style.visibility="hidden";
ele=document.getElementById("liv1");
ele.style.backgroundColor="transparent";
ele=document.getElementById("liv1i");
ele.style.visibility="hidden";
ele=document.getElementById("liv2");
ele.style.backgroundColor="transparent";
ele=document.getElementById("liv2i");
ele.style.visibility="hidden";
ele=document.getElementById("autor");
ele.style.display="none";
ele=document.getElementById("present");
ele.style.display="none";
ele=document.getElementById("titolo");
ele.innerHTML+='<br><span style="FILTER: Wave(Add=0, Freq=2, LightStrength=20, Phase=10, Strength=6); ">RIEPILOGO RISULTATI</span>';

document.princ.studente.disabled=true;

//locale: tprova='<html><head><title>'+document.princ.studente.value+' - Risultati del gioco</title><base href="'+urp+'figure/"></head>'+document.body.outerHTML+'</html>'; //locale 
tprova='<html><head><title>'+document.princ.studente.value+' - Risultati del gioco</title><base href="'+urr+'"></head>'+document.body.outerHTML+'</html>'; //rete

tprova=tprova.replace("cv1_style.css","cv2_style.css");
//tprova=tprova.replace('<a href=http://www.edurete.org/potenziaMente/elenco.asp>PotenziaMente!</a>','<a href="richiama.asp?codice='+document.dati.codice.value+'">GIOCA DI NUOVO!!!!</a>');
document.princ.testoprova.value=tprova;
document.write(tprova);
//princ.submit();
}
else
{
ele=document.getElementById("totale1");
ele.style.visibility="hidden";

}


}


function sortNumber(a,b)
{
aa=a.split("\t");
aaa=aa[aa.length-1];
bb=b.split("\t");
bbb=bb[bb.length-1];
return bbb-aaa;
}

function topten(risult)
{
var topt='<table cellspacing=0 border=0 width="100%">';
var nome="";
var iult=0;
var ptg=0;
var voci = new Array();

arg=risult.split("\n");
arg.sort(sortNumber);
for (var i=0;(i<arg.length && i<10);i++)
{
voci=arg[i].split("\t");
nome=voci[0];
iult=voci.length-1;
ptg=voci[iult];
if (nome!="\r" && nome!="\r\n"&& nome!="") topt+='<tr><td style="font-size: 14px; font-family:Kristen ITC,Comic Sans Ms;"><b>'+nome+'</b></td><td style="font-size: 10px; font-family:Kristen ITC,Comic Sans Ms;">&nbsp;punti&nbsp;</td><td style="font-size: 18px; font-family:Kristen ITC,Comic Sans Ms;">'+ptg+'</td></tr>';
}
topt+="</table>";

return topt;
}




function componiProva()
{
var sorg=document.dati.sorg.value;
var domarr = new Array();
var a = new Array();
var b = new Array();
var c = new Array();
var d = new Array();
var e = new Array();
var f = new Array();
var g = new Array();
var h = new Array();
var r = new Array();
var risposta = new Array();
var spiega = new Array();
var ripasso = new Array();
var punti = new Array();
var n = 0;

var	sorg1="\r\n"+sorg+"\r\n";
sorg1=sorg1.replace(/"/g,"'"); 
sorg1=sorg1.replace(/\[(\d*)\] */g,'\[$1\]="'); 
sorg1=sorg1.replace(/\r\n *\r\n/g,'\r\n\r\n');
sorg1=sorg1.replace(/\r\n.\r\n\r\n/g,'\r\n.\r\n');

sorg1=sorg1.replace(/\r\n/g,'";\r\n');
sorg1='\r\n'+sorg1.replace(/\r\n";/g,'\r\n');
sorg1=sorg1.replace(/\r\n\. *";/g,'\r\n\.');

domarr=sorg1.split(/\r\n\.\r\n/);

totdom = domarr.length-1;

var datidom  = new Array();
var testodom  = new Array();
var lin = "";
var autor = document.dati.autore.value;
var risult = document.dati.risult.value;

reso='<html><head><title>PotenziaMente</title><link rel="stylesheet" type="text/css" href="'+urp+'cv1_style.css"/><base href="'+urp+'figure/"></head>';
reso+='<body><table width="780px"><tr><td width="870px"><h2 id="titolo">'+document.dati.nometest.value+'</h2>\n';
reso+='<p id="autor" style="font-size:12px; display:block;">'+linkaMail(autor)+'</p>\n';
reso+='<p id="present" style="font-size:24px; display:block;">'+document.dati.pres.value+'</p>\n';
reso+='<FORM NAME="princ" METHOD="POST" ACTION="">'; //se fosse in rete adddat.asp
reso+='<INPUT TYPE="hidden" name="codice" value="' + document.dati.codice.value +'">';
reso+='<INPUT TYPE="hidden" name="risultati" value="">';
reso+='<INPUT TYPE="hidden" name="testoprova" value="">';
reso+='<table width="780px"><tr><td width="210px" style="font-size:20px;"><div style="display:block" id="diffn">Scegli la difficoltà&nbsp;<img src="'+urp+'arr_dx.gif" style="position: relative; top:-30px;"></div><br><div style="display:none" id="nickn">Il tuo Nickname:<br><INPUT TYPE="TEXT" NAME="studente" size="16" maxlength="15" onKeyPress="return disableEnterKey(event)"><div id="benvenuto" style="display:none;color:#ff0000"></div></div></td><td><div style="border:1px solid #C0C0C0; padding:3px; text-align:center; font-size: 12px; position: relative; top:40px; left:48px; width: 110px; z-index:1;" id="liv0">ALLENAMENTO</div><br><img src="'+urp+'eddytr.gif" style="position: relative; left:-40; z-index:2; cursor:hand;" onClick="livello(0)" id="liv0i" title="Cliccando sulle possibili risposte ti verrà offerto un aiuto e potrai controllare la correttezza della tua risposta cliccando sulle finestre rotonde da cui ti guarda Eddy."></td><td><img src="'+urp+'eddyea.gif" style="position: relative; left:-68; z-index:2; cursor:hand;" onClick="livello(1)" id="liv1i"  title="Cliccando sulle possibili risposte Eddy ti offrirà un aiuto."><div style="border:1px solid #C0C0C0; padding:3px; text-align:center; font-size: 12px; position: relative; top:-10px; left:-20px; width: 110px; z-index:1;" id="liv1">PRINCIPIANTE</div></td><td><img src="'+urp+'eddypo.gif" style="position: relative; left:-100px; z-index:2; cursor:hand;"  onClick="livello(2)" id="liv2i"  title="Senza aiuti. Per quelli più forti, che le sanno TUTTE e vogliono entrare nella TOP TEN!!!"><div style="border:1px solid #C0C0C0; padding:3px; text-align:center; font-size: 12px; position: relative; top:-10px; left:-35px; width: 110px; z-index:1;" id="liv2">MASTER</div></td></tr></table>\n';
reso+='</td><td width="250px" valign="top"><div id="classif1" style="background:#ffffff; position: absolute; top:-5; z-index:2; visibility:visible"><img src="'+urp+'eddyer.gif" style="position: relative; left:-30px; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; FILTER: Glow(Color=#3DF500, strength=9); font-size: 16px; font-family:Kristen ITC,Comic Sans Ms; position: relative; top:-10px; left:-67px; width:250px; z-index:1;" id="classif"><b style="background-color:#eeeeee;color:#009933;filter:glow(color=purple);">I TOP TEN</b>:<br>'+topten(risult)+'</div></div></td></tr></table>';
reso+='<div id="spiega1" style="background:#ffffff; position: absolute; z-index:2; visibility:hidden"><img src="'+urp+'eddyup.gif" style="position: relative; left:35; z-index:2;"><div style="border:1px solid #C0C0C0; padding:3px; font-size: 18px; position: relative; top:-19px; width: 250px; z-index:1;" id="spiega"></div></div>';
reso+='<BGSOUND id="suono" LOOP=1 VOLUME="300">';
reso+='<table border=0 width="1004px" id="maindom" style="display:none">';

puntitot=0;

for (i=1; i<=totdom; i++) 
{

a.length=0;
b.length=0;
c.length=0;
d.length=0;
e.length=0;
f.length=0;
g.length=0;
h.length=0;
r.length=0;
risposta.length=0;
spiega.length=0;
ripasso.length=0;
punti.length=0;

//alert(domarr[i]);

eval(' domanda="'+domarr[i]);

dom = domanda;

if (a.length>0)
{
nrisp = a.length-1;
n = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[a]",a[n]);
n0=n;
}



if (b.length>0)
{
nrisp = b.length-1;
n1 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[b]",b[n1]);
}


if (c.length>0)
{
nrisp = c.length-1;
n2 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[c]",c[n2]);
}

if (d.length>0)
{
nrisp = d.length-1;
n3 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[d]",d[n3]);
}

if (e.length>0)
{
nrisp = e.length-1;
n4 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[e]",e[n4]);
}

if (f.length>0)
{
nrisp = f.length-1;
n5 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[f]",f[n5]);
}

if (g.length>0)
{
nrisp = g.length-1;
n6 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[g]",g[n6]);
}

if (h.length>0)
{
nrisp = h.length-1;
n7 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[h]",h[n7]);
}


if (r.length>0)
{
nrisp = r.length-1;
n8 = Math.round(Math.random()*100) % nrisp + 1;  
dom = dom.replace("[r]",r[n8]);
n=n8;
}

esatta[i]=n;
spieg[i]=spiega[n];
ripas[i]=ripasso[n];
puntiesa[i]=parseInt(punti[n].split(" ")[0]);
puntisba[i]=parseInt(punti[n].split(" ")[1]);
puntitot=puntitot+puntiesa[i];


if (n0) ripas[i] = ripas[i].replace(/\[a\]/gi,a[n0]);
if (n1) ripas[i] = ripas[i].replace(/\[b\]/gi,b[n1]);
if (n2) ripas[i] = ripas[i].replace(/\[c\]/gi,c[n2]);
if (n3) ripas[i] = ripas[i].replace(/\[d\]/gi,d[n3]);
if (n4) ripas[i] = ripas[i].replace(/\[e\]/gi,e[n4]);
if (n5) ripas[i] = ripas[i].replace(/\[f\]/gi,f[n5]);
if (n6) ripas[i] = ripas[i].replace(/\[g\]/gi,g[n6]);
if (n7) ripas[i] = ripas[i].replace(/\[h\]/gi,h[n7]);
if (n8) ripas[i] = ripas[i].replace(/\[r\]/gi,r[n8]);

dom=dom.replace(/ *$/,"");  
doma[i]=dom;
reso+='<tr><td width="640px" valign="top"><INPUT TYPE="hidden" name="doma' + i +'" value="' + dom +'">'; 
reso+="<hr><P>\n";
dom=i+". "+dom;
reso+=dom.bold();
reso+="</P><P>\n";

if (risposta.length>0 && risposta[1].indexOf("!")<0)
{

for (var j=1; j<risposta.length; j++) 
	{

var arg=risposta[j];
if (arg.substring(0,1)!="=") lin=arg;
else
		{
if (a.length>0){
arg=arg.replace(/(\W)a(\W)/g,"$1"+a[n]+"$2");
arg=arg.replace(/(\W)A(\W)/g,"$1"+a[n]+"$2");
}

if (b.length>0){
arg=arg.replace(/(\W)b(\W)/g,"$1"+b[n1]+"$2");
arg=arg.replace(/(\W)B(\W)/g,"$1"+b[n1]+"$2");
}

if (c.length>0){
arg=arg.replace(/(\W)c(\W)/g,"$1"+c[n2]+"$2");
arg=arg.replace(/(\W)C(\W)/g,"$1"+c[n2]+"$2");
}

if (d.length>0){
arg=arg.replace(/(\W)d(\W)/g,"$1"+d[n3]+"$2");
arg=arg.replace(/(\W)D(\W)/g,"$1"+d[n3]+"$2");
}

if (e.length>0){
arg=arg.replace(/(\W)e(\W)/g,"$1"+e[n4]+"$2");
arg=arg.replace(/(\W)E(\W)/g,"$1"+e[n4]+"$2");
}

if (f.length>0){
arg=arg.replace(/(\W)f(\W)/g,"$1"+f[n5]+"$2");
arg=arg.replace(/(\W)F(\W)/g,"$1"+f[n5]+"$2");
}

if (g.length>0){
arg=arg.replace(/(\W)g(\W)/g,"$1"+g[n6]+"$2");
arg=arg.replace(/(\W)G(\W)/g,"$1"+g[n6]+"$2");
}

if (h.length>0){
arg=arg.replace(/(\W)h(\W)/g,"$1"+h[n7]+"$2");
arg=arg.replace(/(\W)H(\W)/g,"$1"+h[n7]+"$2");
}

if (r.length>0){
arg=arg.replace(/(\W)r(\W)/g,"$1"+r[n8]+"$2");
arg=arg.replace(/(\W)R(\W)/g,"$1"+r[n8]+"$2");
}

// sistema di equazioni
if (arg.indexOf(";")!=-1) 
{


k=4;
arg1=arg.split(";")[k];
if (arg1)
{
espr[k-1]=arg1;
vespr[k-1]=Math.round(eval(espr[k-1].substring(espr[k-1].indexOf("=")+1,espr[k-1].length))*100)/100;
}



k=3;
arg1=arg.split(";")[k];
if (arg1)
{
espr[k-1]=arg1;
espr[k-1]=espr[k-1].replace(/(\W)v(\W)/g,"$1"+vespr[3]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)V(\W)/g,"$1"+vespr[3]+"$2");
vespr[k-1]=Math.round(eval(espr[k-1].substring(espr[k-1].indexOf("=")+1,espr[k-1].length))*100)/100;
}

k=2;
arg1=arg.split(";")[k];
if (arg1)
{
espr[k-1]=arg1;
espr[k-1]=espr[k-1].replace(/(\W)u(\W)/g,"$1"+vespr[2]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)U(\W)/g,"$1"+vespr[2]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)v(\W)/g,"$1"+vespr[3]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)V(\W)/g,"$1"+vespr[3]+"$2");
vespr[k-1]=Math.round(eval(espr[k-1].substring(espr[k-1].indexOf("=")+1,espr[k-1].length))*100)/100;
}


k=1;
arg1=arg.split(";")[k];
if (arg1)
{
espr[k-1]=arg1;
espr[k-1]=espr[k-1].replace(/(\W)t(\W)/g,"$1"+vespr[1]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)T(\W)/g,"$1"+vespr[1]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)u(\W)/g,"$1"+vespr[2]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)U(\W)/g,"$1"+vespr[2]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)v(\W)/g,"$1"+vespr[3]+"$2");
espr[k-1]=espr[k-1].replace(/(\W)V(\W)/g,"$1"+vespr[3]+"$2");
vespr[k-1]=Math.round(eval(espr[k-1].substring(espr[k-1].indexOf("=")+1,espr[k-1].length))*100)/100;
}


k=0;
arg=arg.split(";")[k];
arg=arg.replace(/(\W)s(\W)/g,"$1"+vespr[0]+"$2");
arg=arg.replace(/(\W)S(\W)/g,"$1"+vespr[0]+"$2");
arg=arg.replace(/(\W)t(\W)/g,"$1"+vespr[1]+"$2");
arg=arg.replace(/(\W)T(\W)/g,"$1"+vespr[1]+"$2");
arg=arg.replace(/(\W)u(\W)/g,"$1"+vespr[2]+"$2");
arg=arg.replace(/(\W)U(\W)/g,"$1"+vespr[2]+"$2");
arg=arg.replace(/(\W)v(\W)/g,"$1"+vespr[3]+"$2");
arg=arg.replace(/(\W)V(\W)/g,"$1"+vespr[3]+"$2");


}

lin=Math.round(eval(arg.substring(arg.indexOf("=")+1,arg.length))*100)/100;

		}
spiega[j]=spiega[j].replace(/'/g,"&rsquo;");
spiega[j]=spiega[j].replace(/"/g,"&rsquo;");
reso+='<INPUT TYPE="radio" id="risp' + i +'" name="risp' + i +'" value="' + lin + '" onClick=\042offriAiuto(\047' + spiega[j] + '\047)\042>' + eval('unescape("%'+(60+j)+'")')+ '. ' + lin + '<BR>\n'; 
	}

}
else
{
defa="";
if (risposta[1]) defa=risposta[1].replace(/!|\x09/g,""); 
spiega[n]=spiega[n].replace(/'/g,"&rsquo;");
spiega[n]=spiega[n].replace(/"/g,"&rsquo;");
reso+='<TEXTAREA COLS=50 ROWS=4 id="risp' + i +'" name="risp' + i +'" onClick=\042offriAiuto(\047' + spiega[n] + '\047)\042>'+defa+'</TEXTAREA><BR>\n'; 
}

reso+='<img src="'+urp+'eddybh.gif" style="visibility:'+corrVisibile+'; float:left; cursor:hand;" id="cnt'+i+'" onClick="controllo(' + i + ')"></td><td width="250px" valign="bottom"><div style="position: relative; z-index:0; font-size: 14pt; visibility:hidden" id="contro' + i +'"></div></td></tr>';

};

reso+='</table><table id="maincorr" style="display:none" width="900px"><tr><td width="520px"><div id="pulsanti" style="visibility:visible;"><CENTER><INPUT TYPE="button" value="Correggi e ottieni i punti" onClick="controllo()"><!--&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<INPUT TYPE="button" value="Azzera" onClick="riparti()">--><P>\n';
reso+='<INPUT TYPE="hidden" name="ndom" value="' + (i-1) +'">';
reso+='Per generare un\047altra prova premere il pulsante <B>Aggiorna</B> (Reload) del browser o il tasto <b>F5</b></center></div></td><td width="350px">&nbsp;</td><td width="250px" valign="top"><div id="totale1" style="background:#ffffff; position: absolute; z-index:2; visibility:hidden;"><img src="'+urp+'eddysx.gif" style="position: relative; float:left; left:-20; z-index:2;"><br><div style="border:1px solid #C0C0C0; padding:3px; padding-left:20px; font-size: 18px; position: relative; top:-178px; left:84px; width:150px; height:180px; z-index:1;" id="totale"></div></div></td></tr></table>\n';
reso+='</FORM></body></html>';
return reso;



}






